>From 1cf42630e29770eff09499b84048fe2af5a32641 Mon Sep 17 00:00:00 2001
From: Felix Gatzemeier <minn@gmx.net>
Date: Sat, 1 Dec 2012 12:38:02 +0100
Subject: [PATCH] Be more cautious about overwriting manuals.

---
 debiandoc-bin/debiandoc2dbkpo |   20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

diff --git a/debiandoc-bin/debiandoc2dbkpo b/debiandoc-bin/debiandoc2dbkpo
index af7d76d..b4b81b3 100755
--- a/debiandoc-bin/debiandoc2dbkpo
+++ b/debiandoc-bin/debiandoc2dbkpo
@@ -49,13 +49,19 @@ shift
 LANGS="$@"
 
 #
-# If English dos not have .en. , then make symlink
-#
-if [ -r $MANUAL.sgml ]; then
-    ln -sf $MANUAL.sgml $MANUAL.en.sgml
-elif [ ! -r $MANUAL.en.sgml ]; then
-    echo "Neither $MANUAL.en.sgml nor $MANUAL.sgml found." >&2
-    exit 1
+# If there is no ".en" source, but one without encoding, that that is
+# probably an English one and we make a symlink.
+#
+if [ ! -r "${MANUAL}.en.sgml" ] ; then
+    if [ -r "${MANUAL}.sgml" ]; then
+	echo "Warning: No '${MANUAL}.en.sgml' found, but a '${MANUAL}.sgml'."
+	echo "         Creating a symlink."
+	echo "         Beware: Your project may have mor complicated building instructions."
+	ln -sf "${MANUAL}.sgml" "${MANUAL}.en.sgml"
+    else
+	echo "Error: Neither '${MANUAL}.en.sgml' nor '${MANUAL}.sgml' found." >&2
+	exit 1
+    fi
 fi
 
 #
-- 
1.7.10.4

